Page MenuHomePhabricator

Archive EducationProgram
Open, Needs TriagePublic

Description

Reason
Deprecated extension. See also T125618: Deprecate and remove the EducationProgram extension from Wikimedia servers after June 30, 2018 and T188412: Sunset education extension page on mediawiki?.

To-do list

Event Timeline

Restricted Application added subscribers: Zoranzoki21, Aklapper. · View Herald TranscriptJan 23 2019, 7:00 AM
Dinoguy1000 updated the task description. (Show Details)Jan 23 2019, 8:47 AM
Dinoguy1000 added subscribers: JeroenDeDauw, Ragesoss.
Krinkle updated the task description. (Show Details)Feb 7 2019, 3:05 AM

Change 495937 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[translatewiki@master] Remove EducationProgram

https://gerrit.wikimedia.org/r/495937

Change 495939 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[integration/config@master] Archive EducationProgram

https://gerrit.wikimedia.org/r/495939

Change 495940 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/extensions@master] Remove EducationProgram

https://gerrit.wikimedia.org/r/495940

Change 495937 merged by jenkins-bot:
[translatewiki@master] Remove EducationProgram

https://gerrit.wikimedia.org/r/495937

MacFan4000 updated the task description. (Show Details)Mar 12 2019, 5:24 PM

Change 495939 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[integration/config@master] Archive EducationProgram

https://gerrit.wikimedia.org/r/495939

Change 495939 merged by jenkins-bot:
[integration/config@master] Archive EducationProgram

https://gerrit.wikimedia.org/r/495939

MacFan4000 updated the task description. (Show Details)Mar 27 2019, 5:59 PM

@MacFan4000 @Dinoguy1000 and @Liuxinyu970226 I am not sure if you are the ones to address this issue: I find it irritating how all the data of archived extensions are cleared from Wikidata. All the data is still valid. I believe you only have to add the statement that it is abandonware as of xxx like it was done here. Think of a person that died. This would be like adding the date of death and clearing all the rest.

I don't have anything to do with Wikidata, nor had anything to do with the addition of the Wikidata items to the checklist. I'd have no problem with keeping the old data instead of clearing it; it makes a lot of sense to me to keep it.

Kghbln added a comment.EditedApr 24 2019, 1:16 PM

@Dinoguy1000 This was not about who did what in the past and who is involved with Wikidata. This was about improving a flawed process here on Phabricator. Since I thought you were part of the team I pinged you too. Anyways I am piggybacking on a different issue which is utterly wrong too. I will create a new task and just hope that this error stops. Edit: I created task T221771 for this.

Change 495940 had a related patch set uploaded (by Umherirrender; owner: MacFan4000):
[mediawiki/extensions@master] Remove EducationProgram

https://gerrit.wikimedia.org/r/495940

Change 495940 merged by Umherirrender:
[mediawiki/extensions@master] Remove EducationProgram

https://gerrit.wikimedia.org/r/495940

MacFan4000 updated the task description. (Show Details)May 9 2019, 4:41 PM

Change 515603 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/EducationProgram@master] Archive extension

https://gerrit.wikimedia.org/r/515603

Change 515603 merged by Umherirrender:
[mediawiki/extensions/EducationProgram@master] Archive extension

https://gerrit.wikimedia.org/r/515603

MaxSem updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Aug 31 2019, 2:16 PM
D3r1ck01 updated the task description. (Show Details)Sep 1 2019, 10:29 AM

Change 534168 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[integration/config@master] Remove EducationProgram from parameter_functions.py

https://gerrit.wikimedia.org/r/534168

Change 534168 abandoned by Lucas Werkmeister (WMDE):
Remove EducationProgram from parameter_functions.py

Reason:
already done in I9893adb308, apparently

https://gerrit.wikimedia.org/r/534168